List agents

The workspace's agents with status, mode, channels and when each last ran. The roster is fixed; agents are not created over the API.

GEThttps://app.trygtm.com/api/v1/agents
Scope
read
MCP tool
list_agents

Request

curl https://app.trygtm.com/api/v1/agents \
  -H "Authorization: Bearer $TRYGTM_API_KEY"

Response

{
  "data": [
    {
      "id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
      "preset_id": "outreach",
      "name": "GTM Outreach",
      "description": null,
      "status": "active",
      "mode": "full_auto",
      "channels": [
        "email",
        "linkedin"
      ],
      "last_run_at": "2026-09-18T09:59:00.000Z",
      "next_run_at": "2026-09-18T10:00:00.000Z",
      "created_at": "2026-08-19T11:31:00.000Z"
    }
  ]
}

Was this page helpful?